apiVersion: apps/v1
kind: Deployment
metadata:
  name: go-app
  labels:
    app: go-app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: go-app
  template:
    metadata:
      labels:
        app: go-app
    spec:
      containers:
        - name: go-app
          image: 870414/go-app:1.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
      imagePullSecrets:
        - name: hub-secret
